> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usehandled.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Returns

> Retrieve cached Return Merchandise Authorizations (RMAs) and return requests initiated by customers flowing to warehouses for processing.



## OpenAPI

````yaml unified-cache-api.json get /returns
openapi: 3.0.3
info:
  title: Handled Unified Cache API
  description: >-
    Access cached data from connected accounts for faster bulk operations. Data
    is synchronized periodically, enabling fast queries without hitting
    underlying service rate limits.
  version: 1.0.0
  contact:
    email: support@usehandled.io
servers:
  - url: https://api.usehandled.io/api/v1/ipaas/unified_cache
    description: Production
security:
  - bearerAuth: []
paths:
  /returns:
    get:
      tags:
        - Returns
      summary: List Returns
      description: >-
        Retrieve cached Return Merchandise Authorizations (RMAs) and return
        requests initiated by customers flowing to warehouses for processing.
      operationId: listReturns
      parameters:
        - $ref: '#/components/parameters/integrated_account_id'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/next_cursor'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    integrated_account_id:
      name: integrated_account_id
      in: query
      required: true
      description: The ID of the connected account to query
      schema:
        type: string
    limit:
      name: limit
      in: query
      required: false
      description: 'Maximum number of records to return (default: 50)'
      schema:
        type: integer
        default: 50
    next_cursor:
      name: next_cursor
      in: query
      required: false
      description: Pagination cursor from previous response
      schema:
        type: string
  schemas:
    ReturnListResponse:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/Return'
        next_cursor:
          type: string
          nullable: true
    Return:
      type: object
      properties:
        id:
          type: string
        order_id:
          type: string
        status:
          type: string
        reason:
          type: string
        line_items:
          type: array
          items:
            type: object
            properties:
              product_id:
                type: string
              sku:
                type: string
              quantity:
                type: integer
              reason:
                type: string
        tracking_number:
          type: string
        carrier:
          type: string
        refund_amount:
          type: number
        currency:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        cached_at:
          type: string
          format: date-time
          description: When this record was last cached
  responses:
    Unauthorized:
      description: Invalid or missing API token
    RateLimited:
      description: Rate limit exceeded
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from your Handled dashboard

````